=== debian/changelog ===
osmium-tool (1.5.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2017 17:46:15 +0100

osmium-tool (1.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jan 2017 16:46:03 +0100

osmium-tool (1.5.0-1~exp2) experimental; urgency=medium

  * Bump minimum required libosmium2-dev to 2.11.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jan 2017 00:38:26 +0100

osmium-tool (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years for Jochen Topf.
  * Include extract config examples.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Jan 2017 20:35:07 +0100

osmium-tool (1.4.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Nov 2016 07:19:28 +0100

osmium-tool (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Nov 2016 19:58:02 +0100

osmium-tool (1.4.0-3~exp1) experimental; urgency=medium

  * Add patch for libosmium 2.10.2 support.
  * Bump minimum required libosmium2-dev to 2.10.2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Nov 2016 19:58:08 +0100

osmium-tool (1.4.0-2) unstable; urgency=medium

  * Ignore test failures on problematic architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Sep 2016 20:25:16 +0200

osmium-tool (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Include CONTRIBUTING.md in docs.
  * Update copyright file, changes:
    - Rename MIT license shortname to Expat
    - Add THL A29 Limited to copyright holders for msinttypes files
  * Bump minimum required libosmium2-dev to 2.9.0.
  * Drop output-typo.patch, applied upstream.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Sep 2016 16:35:18 +0200

osmium-tool (1.3.1-2) unstable; urgency=medium

  * Rebuild with libosmium 2.8.0, for long strings overflow fix.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Aug 2016 15:54:59 +0200
