## osmium-tool 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,8 @@
 project(osmium)
 
 set(OSMIUM_VERSION_MAJOR 1)
-set(OSMIUM_VERSION_MINOR 5)
-set(OSMIUM_VERSION_PATCH 1)
+set(OSMIUM_VERSION_MINOR 7)
+set(OSMIUM_VERSION_PATCH 0)
 
 set(OSMIUM_VERSION ${OSMIUM_VERSION_MAJOR}.${OSMIUM_VERSION_MINOR}.${OSMIUM_VERSION_PATCH})
 
@@ -44,7 +44,7 @@
 find_package(Boost 1.55.0 REQUIRED COMPONENTS program_options)
 include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 
-find_package(Osmium 2.11.0 REQUIRED COMPONENTS io)
+find_package(Osmium 2.13.0 REQUIRED COMPONENTS io)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
 
@@ -104,6 +104,7 @@
     file(READ ${CMAKE_SOURCE_DIR}/man/progress-options.md MAN_PROGRESS_OPTIONS)
     file(READ ${CMAKE_SOURCE_DIR}/man/input-options.md MAN_INPUT_OPTIONS)
     file(READ ${CMAKE_SOURCE_DIR}/man/output-options.md MAN_OUTPUT_OPTIONS)
+    file(READ ${CMAKE_SOURCE_DIR}/export-example-config/default-config.json EXPORT_DEFAULT_CONFIG)
     configure_file(${_source_file} ${_dest_file} @ONLY)
     string(TOUPPER ${_name} _name_upcase)
     add_custom_command(OUTPUT ${_output_file}
@@ -142,6 +143,7 @@
     add_man_page(1 osmium-check-refs)
     add_man_page(1 osmium-derive-changes)
     add_man_page(1 osmium-diff)
+    add_man_page(1 osmium-export)
     add_man_page(1 osmium-extract)
     add_man_page(1 osmium-fileinfo)
     add_man_page(1 osmium-getid)
@@ -150,8 +152,10 @@
     add_man_page(1 osmium-renumber)
     add_man_page(1 osmium-show)
     add_man_page(1 osmium-sort)
+    add_man_page(1 osmium-tags-filter)
     add_man_page(1 osmium-time-filter)
     add_man_page(5 osmium-file-formats)
+    add_man_page(5 osmium-index-types)
 
     install(DIRECTORY ${CMAKE_BINARY_DIR}/man DESTINATION share)
 
@@ -191,8 +195,7 @@
 endif()
 
 if(WIN32)
-    add_definitions(-DWIN32 -D_WIN32 -DMSWIN32 -DBGDWIN32
-                    -DWINVER=0x0500 -D_WIN32_WINNT=0x0500 -D_WIN32_IE=0x0600)
+    add_definitions(-DWIN32 -D_WIN32 -DMSWIN32 -DBGDWIN32)
 endif()
 
 set(CMAKE_CXX_FLAGS_DEV "${USUAL_COMPILE_OPTIONS}"
