=== debian/changelog ===
osmium-tool (1.7.0-2) unstable; urgency=medium

  * Ignore test failures on mips64el.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Aug 2017 23:21:31 +0200

osmium-tool (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.13.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Aug 2017 19:33:10 +0200

osmium-tool (1.6.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 20:56:07 +0200

osmium-tool (1.6.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 12:39:49 +0200

osmium-tool (1.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Apr 2017 19:57:22 +0200

osmium-tool (1.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Mar 2017 19:03:31 +0100
