=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libboost-program-options-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.11.0),
+               libosmium2-dev (>= 2.13.0),
                pandoc,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium-tool.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmium-tool.git
 Homepage: http://osmcode.org/osmium-tool/
